import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaSensorItemUnit } from '@overflow/commons-typescript/model/meta';

export const metaSensorItemUnitEntityAdapter = createEntityAdapter<MetaSensorItemUnit, RPCClientError>();
export interface State extends EntityState<MetaSensorItemUnit, RPCClientError> {
}
export const initialState: State = metaSensorItemUnitEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaSensorItemUnitEntityAdapter.getSelectors(selector),
  };
}
